Drag and drop apps from Dash to Desktop doesn't work

Bug #1241972 reported by Riccardo Padovani on 2013-10-19
624
This bug affects 136 people
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
Low
Unassigned
Unity
Fix Released
Medium
Christopher Townsend
7.1
Won't Fix
High
Unassigned
7.2
Fix Committed
Medium
Christopher Townsend
unity (Ubuntu)
Medium
Christopher Townsend
Trusty
Medium
Unassigned

Bug Description

When you try to drag and drop an app from Dash (both from app lens and home lens) to Desktop, system display an error and the shortcut isn't created.

The error is:
Error while copying - There was an error getting information about "/".
More details: The specified location is not supported

Then there are four buttons: "Cancel" - "Skip all" - "Skip" - "Retry".

Way to reproduce:
- Open the dash
- Drag an app icon and drop on desktop

What happend:
- An error is raised

What expected:
- A shortcut is created

With file, music and photo is all ok.

[Test case]
1. Open the dash
2. Drag an app icon and drop on desktop
3. Make sure that a desktop shortcut is created

[Regression Potential]
It is not possible anymore to drag icons from the dash to the launcher.

Related branches

Stephen M. Webb (bregma) on 2013-10-19
Changed in unity:
status: New → Triaged
importance: Undecided → High
milestone: none → 7.2.1
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nautilus (Ubuntu):
status: New → Confirmed
Changed in nautilus (Ubuntu):
importance: Undecided → Low
Klavs Anson (klavsanson) wrote :

Someone should start fixing this bug, I tested latest Ubuntu 14.04 live iso and the bug still exists.
I reproduced the bug by opening dash, draging app icon above search bar so the launcher hides, and droping it on the desktop.

2014-02-10

the bug is still exists
@ all the folks who are using 'normal' desktops -

who cares?

another thing:
trying to create a desktop launcher by using mouse right click shows no possibility for create one

these are 'elementary' bugs for people who are using desktop for a long time
under different operation systems - including older ubuntu until 12.10 gnome versions.

Sebastien Bacher (seb128) wrote :

the dnd has a type "application://<something>.desktop", not sure if that's a standard type that should be handled by nautilus though

John Kim (kotux) on 2014-02-13
tags: added: saucy
description: updated
xxvirusxx (condor20-05) wrote :

This bug also exist on 14.04 beta1.

An easy solution to make shortcut is copy

[code]sudo cp /usr/share/applications/application.desktop /home/username/Desktop
sudo chmod +x /home/username/Desktop/application.desktop
sudo chown username:username /home/username/Desktop/application.desktop[/code]

xxvirusxx (condor20-05) wrote :

Without [code] :)

On 14.04 unity version is 7.1.2

14.04 amd64 ru
Need make, please.

tozen (dpaskovskis) wrote :

Same problem on 14.04.

Tamir (sugip) wrote :

Yes, the bug is in Trusty. When handling any application produces an error. Screenshot attached.

The_Legacy (es-ei6hel-n1) wrote :

Hi, the bug exsists on my computer with new 13.10 install.
I have another computer where the problem does not appear but the installation is an upgrade from 13.04.

Thanks

Qwentor (2qwentor) wrote :

I have this bug in Ubuntu 13.10 amd64 with last updates :(

Valentin Crone (va-crone) wrote :

Same bug on Ubuntu 14.04 LTS.

plazma (bycengo) wrote :

on Ubuyntu 14.04 LTS 64 bit bug continous...

summary: - Drag and drop from Dash to Desktop doesn't work on Ubuntu 13.10
+ Drag and drop from Dash to Desktop doesn't work
Karan Shah (dabrainstabber) wrote :

This is a very important bug since new users have no clue how to get applications onto their desktop otherwise. I can confirm still happens on 14.04.

kanhiya (kanhiya78) on 2014-05-02
Changed in hundredpapercuts:
status: New → Confirmed
Adam Niedling (krychek) wrote :

I was trying to drag and drop an icon from the dash to the launcher but it didn't work. It just won't stay in the launcher. Is this a separate issue or related to this one? Does it work for other people or is it just me?

Topazcat (topazcat) wrote :

@krychek that launcher dragging bug from the dash does not effect me but the desktop one does.

scott porter (wn1ytw) wrote :

I also on 14.04, just putting a script on desktop is not fun.

Sebastien Bacher (seb128) wrote :

Thanks everyone, that bug has been confirmed and has enough informations to be worked on, it just needs somebody to spend time on it to fix the issue, there is no need to keep commenting just to confirm that the bug exists

mp77 (mp77) wrote :

this bug affects me too.. :/

supashang (supashang) wrote :

Same here on Ubuntu 14.04 LTS 64bit. I was trying to create a desktop shortcut for Google Chrome Version 35.0.1916.114 since Docky doesn't allow me to pin it to the dock. Now I can't even create a desktop shortcut.

Stephen M. Webb (bregma) on 2014-06-04
Changed in unity:
milestone: 7.2.1 → 7.2.2
Spode (forums-g) wrote :

I cannot believe that any OS wanting to attract new users would make something as basic as putting a shortcut on the desktop so complicated. I am using Gnome 14.04 and still don't know which is the best procedure to use.

Valentin Crone (va-crone) wrote :

For the moment the only solution we had to make a shortcut is:
1 - open nautilus (File browser)
2 - Go to: /usr/share/applications/

This folder containt all shortcuts of the menu.
Copy what you would, and paste where you would.

My attachment is a screen of a shortcut I have put on the desktop with this method.

But, it's true that is a big fail for Ubuntu....

tags: added: trusty utopic
Changed in unity:
milestone: 7.2.2 → 7.2.3
Changed in unity:
milestone: 7.2.3 → 7.3.1
Eros Montalbano (erosoft) wrote :

I have the same problem.

I'm not able to drag application icons from the left side bar (i don't know the correct name) and also from the "super" button that lists of all contents.
Sorry, but i don't know yet the right names.

Hope this will be fixed soon... but it seems to be long time it is present.

Changed in hundredpapercuts:
importance: Undecided → Low
Changed in unity (Ubuntu):
importance: Undecided → Low
Changed in nautilus (Ubuntu):
status: Confirmed → Triaged
Changed in hundredpapercuts:
status: Confirmed → Triaged
Changed in unity (Ubuntu):
status: Confirmed → Triaged
Chris U. (c.u.) wrote :

Workaround for basic users:

In a terminal, type:

sudo chmod +x /usr/share/applications
ln -s /usr/share/applications ~/Applications

Then one can go to his home folder, than "Applications", then drag ones favourite application icons to the desktop. When done, one can delete "Applications".

Chris U. (c.u.) wrote :

Oh no, messed up my comment. Here's the working version.

Workaround for basic users:

In a terminal, type:

sudo chmod +x /usr/share/applications/*
ln -s /usr/share/applications ~/Applications

Then one can go to his home folder, than "Applications", then drag ones favourite application icons to the desktop. When done, one can delete "Applications".

Moris (nerimoris) on 2014-10-01
Changed in unity:
assignee: nobody → Moris (nerimoris)
Changed in hundredpapercuts:
assignee: nobody → Moris (nerimoris)
Moris (nerimoris) on 2014-10-01
Changed in nautilus (Ubuntu):
assignee: nobody → Moris (nerimoris)
Changed in unity (Ubuntu):
assignee: nobody → Moris (nerimoris)
Changed in chromium-browser:
assignee: nobody → Moris (nerimoris)
Tony Wood (tonywoodtw) wrote :

Also affects me

zaphod_es (sjb-walker) wrote :

And me

If you don't have additional info, please just click on the "This bug affects you and 93 other people" exclamation mark (at the top of the bug report), so you add to the count. Adding comments like "Me too" just clutter reports and make it harder for developers.

Changed in chromium-browser:
assignee: Moris (nerimoris) → nobody
Changed in hundredpapercuts:
assignee: Moris (nerimoris) → nobody
Changed in unity:
assignee: Moris (nerimoris) → nobody
Changed in unity (Ubuntu):
assignee: Moris (nerimoris) → nobody
Changed in nautilus (Ubuntu):
assignee: Moris (nerimoris) → nobody

I am also affected by this bug.

However, the main issue is that it is not ONLY desktop but basically EVERYWHERE,
so I also cannot drag & drop launcher icons to e.g. start programs.

forgot to mention: using Ubuntu 14.04.1

said (omega-top-p) wrote :

I am affected too and this make me crazy -_-

said (omega-top-p) wrote :

on ubuntu 14.04.1

HeroCC (herocc) wrote :

Accidentally changed to 'Fix Released', please fix to Triaged.

Changed in unity (Ubuntu):
status: Triaged → Fix Released
Changed in unity (Ubuntu):
status: Fix Released → Confirmed
Arve Tengesdal (arveteng) wrote :

Fix released? When can we get the fix, and a permanent one?

DebuggeR94 (debugger94) wrote :

Русский оригинал:
У меня Ubuntu 14.10 в ней та же самая проблемма с перетаскиванием ярлыков, да и вообще сетка выравнивания ярлыков просто ужасная, и иконки сползают на бок при автоматическом скрытии бара.

English auto translation:
I have Ubuntu 14.10 it is the same Problem with drag and drop shortcuts , and generally grid alignment shortcuts just awful , icons and slide to one side when auto-hide the bar.

Vladimir Bebeshko (vbebeshko) wrote :

14.04.1 trusty
still affects me

Stephen M. Webb (bregma) on 2015-02-11
Changed in unity:
milestone: 7.3.1 → 7.3.2
Stephen M. Webb (bregma) on 2015-03-19
Changed in unity:
milestone: 7.3.2 → 7.3.3
Anshu Avinash (igniting) wrote :

Is anyone working on this bug? If not, I volunteer to fix this.

Stephen M. Webb (bregma) wrote :

@Anshu - no, nobody is working on this at the moment. I can confirm it's still happening, I just had it happen again today in Ubuntu 14.04.

Recep GUCLUER (rgucluer) wrote :

Hi, I am using 14.04 and having this issue as described in bug description. I am using linux for desktop for nearly 15 months. These types of errors not good for newcomers like me. Of course I will search and will try to find a workaround , but this is a basic operation and must be fixed. (basic as in fundemental)

Anshu Avinash (igniting) wrote :

I guess unity team is now focusing more on Unity 8, which will be the default in next LTS. I looked into the code, but was unable to make progress on this bug.

Recep GUCLUER (rgucluer) wrote :

As a workaround I used as told in:
Comment 25 for bug 1241972
 (Valentin Crone (va-crone) wrote on 2014-06-07:) with some modifications:
1 - open nautilus (File browser)
   ( normal usage of nautilus gave me an error, using with sudo is ok.)
sudo nautilus

2 - Go to: /usr/share/applications/
   This folder contains all shortcuts of the menu.
   Copy what you would, and paste where you would.

This solved my problem. Thanks Valentin.

I hope the issue will not appear in the next LTS.

Valentin Crone (va-crone) wrote :

This type of bug, like sometimes bug with control panel (incomplete, or bugged), or unable to do something without searching a command line on the web to solve a innexistant function in GUI, or a bug, is typicaly what it's a problem with beginner, or person who search to have a easy computer with Ubuntu, and they ran away.
So, this type of bug or lack must be considered as important bugs for a general public distribution.

Recep GUCLUER (rgucluer) wrote :

I agree with you Valentin. It is a barrier for beginners. I tried linux since 1998. Several distros. And never used more than two weeks. Since 2014. I decided to insist on trying the desktop linux distributions. Now , I use linux as my primary OS. I was using Mint 17 , switched to Ubuntu 14.04 last week. As you say , problems with basic user interface makes it harder for people to switch to Linux.

summary: - Drag and drop from Dash to Desktop doesn't work
+ Drag and drop apps from Dash to Desktop doesn't work
Changed in unity (Ubuntu):
importance: Low → Medium
status: Confirmed → In Progress
Changed in unity:
status: Triaged → In Progress
importance: High → Medium
assignee: nobody → Christopher Townsend (townsend)
Changed in unity (Ubuntu):
assignee: nobody → Christopher Townsend (townsend)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.3.2+15.10.20150522-0ubuntu1

---------------
unity (7.3.2+15.10.20150522-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Chris Townsend ]
  * Add necessary signaling to set the BFB icon's tooltip and the Home
    Scope's default search string to accurately reflect if searching
    online is enabled or disabled in unity-system-settings. (LP:
    #1202160, #1101662)
  * Enable real page up/page down key navigation in the Dash. When using
    these keys the view scrolls the length of the visible view. (LP:
    #913612)
  * If Spread/Expo is active, then terminate it when entering Launcher
    keynav mode. (LP: #1447810)
  * If dragging an application:// uri type from the Dash to the desktop,
    change it to a file:// uri type so Nautilus can understand the type
    a make a copy of it on the desktop. (LP: #1241972)
  * Wait on Spread to be terminated before showing the Quicklist. (LP:
    #1441626)

  [ Luke Yelavich ]
  * Implement scope bar icon accessibility (LP: #1457073)

  [ Marco Trevisan (Treviño) ]
  * ResultViewGrid: wait for double-click event only if the relative
    result needs the Preview (LP: #1447372, #1291950)

 -- CI Train Bot <email address hidden> Fri, 22 May 2015 13:21:14 +0000

Changed in unity (Ubuntu):
status: In Progress → Fix Released
Changed in unity:
status: In Progress → Fix Committed
no longer affects: nautilus (Ubuntu)
Silviu C. (silviucc) wrote :

Is this fix going to be backported to Trusty?

The fix is in Wily for three weeks now but there is nothing in terms of SRU.

Will this and other things get in SRU for Vivid and Trusty.

All,

This will be SRU'd into Trusty at some point. We have another SRU for Trusty that needs to get done. After that one is released into -updates, then we'll do another SRU that will most likely have this fix in it.

tags: added: vivid
removed: saucy
tags: removed: utopic

I removed Saucy because it's unsupported already for one year. Utopic will reach end of life in July 2015 so it is also no longer of concern.

https://wiki.ubuntu.com/Releases

So now it's only Trusty and Vivid that need a fix.

ruthan (ruthan) wrote :

I think that this is feature, to disable user do that.. but true is that i will not never use for day to day work OS without drag and drop form icon from Start menu to desktop - i make sense from Xerox 1st GUI in 1979.

Will Cooke (willcooke) wrote :

We need to back port this to 7.2

tags: added: rls-w-incoming
Will Cooke (willcooke) wrote :

On reflection, we won't backport this. If you need this functionality you'll need to upgrade to 15.10 when it's released.

tags: removed: rls-w-incoming

@Will
Why did you decide not to backport this?

2015-08-28 15:54 GMT+02:00 Will Cooke <email address hidden>:

> On reflection, we won't backport this. If you need this functionality
> you'll need to upgrade to 15.10 when it's released.
>
>
> ** Tags removed: rls-w-incoming
>
> ** Changed in: unity/7.2
> Status: Triaged => Won't Fix
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1241972
>
> Title:
> Drag and drop apps from Dash to Desktop doesn't work
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/chromium-browser/+bug/1241972/+subscriptions
>

Will Cooke (willcooke) wrote :

This is a new feature which will be available in 15.10 and forward. We have a lot of bugs to get fixed in time for the LTS and at the moment I don't want to spend time on cherry picking this and SRUing it. I will put this on the list for consideration and if we get time, or someone wants to work on it, then we can try.

tags: added: rls-w-incoming
Andrea Azzarone (azzar1) on 2015-10-23
description: updated
Changed in unity:
status: Fix Committed → Fix Released
tags: added: rls-x-incoming
removed: rls-w-incoming

Hello Riccardo, or anyone else affected,

Accepted unity into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unity/7.2.6+14.04.20151021-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
Changed in unity (Ubuntu Trusty):
importance: Undecided → Medium
affects: chromium-browser → ubuntu-translations
no longer affects: ubuntu-translations
Bruno Nova (brunonova) wrote :

I've upgraded the packages unity, libunity-core-6.0-9 and unity-services to the version in trusty-proposed (7.2.6+14.04.20151021-0ubuntu1).

The bug is fixed!
Moving an application icon from the Dash onto the desktop now works correctly.

I also made other tests:
* Moving an app icon onto a file manager works.
* Moving an app icon onto Gedit opens the .desktop file for editing.
* Moving an app icon onto an Terminal pastes the path to the .desktop file.
* Moving an app icon onto the launcher is still working.

About that last point, the "Regression Potential" section in the description says that "It is not possible anymore to drag icons from the dash to the launcher", but it's still working for me.
So it seems to be working perfectly!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.2.6+14.04.20151021-0ubuntu1

---------------
unity (7.2.6+14.04.20151021-0ubuntu1) trusty; urgency=medium

  * New upstream release

  [ Andrea Azzarone ]
  * Merge patch from https://launchpadlibrarian.net/216276242/low-gfx-
    override.patch (LP: #1491913)
  * Properly hide decorations when on "Show Desktop" mode. (LP: #1485073)
  * Do not handle events coming from viewports not actually containing the window.
    (LP: #1449654)
  * Make sure new icons are added to the model before calling SortAndUpdate
    (LP: #1458950)
  * GnomeSessionManager: Do not allow shutdown when screen is locked. (LP: #1460626)
  * GnomeSessionManager: Do not allow shutdown when screen is locked.

  [ Chris Townsend ]
  * When looking for the top-most valid window in a VP, also check if the window
    is focused if the window is set to Always on Top. This allows Launcher icon
    spread to work properly when a window is minimized an Always on Top exists in
    the group. (LP: #1131385)
  * Wait on Spread to be terminated before showing the Quicklist. (LP: #1441626)
  * If dragging an application:// uri type from the Dash to the desktop, change it
    to a file:// uri type so Nautilus can understand the type a make a copy of it
    on the desktop. (LP: #1241972)
  * Enable real page up/page down key navigation in the Dash. When using these
    keys the view scrolls the length of the visible view. (LP: #913612)
  * Save the active window when showing the Hud so the correct window is focused
    when hiding the Hud. Fixes issue when "Always on Top" windows are present.
    (LP: #1366583)
  * Save the active window when showing the Dash so the correct window is focused
    when hiding the Dash. Fixes issue when "Always on Top" windows are present.
    (LP: #1446634)
  * When using keyboard navigation in the Dash, skip category headers that are not
    expandable. Also, do not highlight the category header when the mouse cursor
    is over it. (LP: #1045933)
  * Also use the Compiz show() method when forcing an unmapped window to be
    visible when clicking on it's active Launcher icon. (LP: #989588)
  * Add option to enable and disable Unity low graphics mode on the fly in ccsm or
    via gsettings. (LP: #1412937)
  * UScreen, PanelService: get monitor at position, ignoring pre-
    multipled Gdk scale factor (LP: #1351591)

  [ Marco Trevisan (Treviño) ]
  * ResultViewGrid: wait for double-click event only if the relative result needs
    the Preview (LP: #1291950)
  * OverlayWindowButtons: trigger a queuedraw also when a child requires a redraw
    (LP: #1461618)
  * GnomeSessionManager: Request ScreenSaver (de)activation on VT changes (LP:
    #1405349)
  * UScreen, PanelService: get monitor at position, ignoring pre-multipled Gdk
    scale factor (LP: #1351591)
  * UScreen, PanelService: get monitor at position, ignoring pre-
    multipled Gdk scale factor (LP: #1351591)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Wed, 21 Oct 2015 15:54:44 +0000

Changed in unity (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for unity has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Eli (efwb001) wrote :

Still an issue in Ubuntu 16 LTS. I created a .desktop link to a URL on the desktop. Now I can't rearrange it. Drag and drop of this .desktop file from desktop to elsewhere on the desktop causes this error to appear.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers